__revision__ = "$Id: __init__.py,v 1.2 2001/06/07 08:27:58 molson Exp $"

def PreprocessFiles(tester, dirs, files):
    """
    PreprocessFiles(tester, dirs, files) -> (dirs, files)
    
    This function is responsible for sorting and trimming the
    file and directory lists as needed for proper testing.
    """

    ignored_files = ['test_all_odl']
    
    for file in ignored_files:
        if file in files:
            files.remove(file)

    return (dirs, files)

